Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Instance Methods | Class Methods | List of all members
BackgroundTrackMgr Class Reference

## Classes
struct | BG_FileInfo

## Public Types
enum | { kQueueState_DoNothing = 0, kQueueState_ResizeBuffer = 1, kQueueState_NeedNewCookie = 2, kQueueState_NeedNewBuffers = 3, kQueueState_NeedNewQueue = 4 }
typedef struct SoundEngine::BackgroundTrackMgr::BG_FileInfo | BackgroundMusicFileInfo

## Instance Methods
() | - BackgroundTrackMgr
() | - ~BackgroundTrackMgr
(void) | - Teardown
(AudioStreamPacketDescription *) | - GetPacketDescsPtr
(UInt32) | - GetNumPacketsToRead
(OSStatus) | - SetupQueue
(OSStatus) | - SetupBuffers
(OSStatus) | - LoadTrack
(OSStatus) | - UpdateGain
(OSStatus) | - SetVolume
(OSStatus) | - Start
(OSStatus) | - Stop

## Class Methods
(static OSStatus) | + AttachNewCookie
(static void) | + QueueStoppedProc
(static Boolean) | + DisposeBuffer
(static SInt8) | + GetQueueStateForNextBuffer
(static void) | + QueueCallback

## Member Typedef Documentation

- (typedef struct) BackgroundTrackMgr:

## Member Enumeration Documentation

- (anonymous) enum

Enumerator
kQueueState_DoNothing |
kQueueState_ResizeBuffer |
kQueueState_NeedNewCookie |
kQueueState_NeedNewBuffers |
kQueueState_NeedNewQueue |

## Constructor & Destructor Documentation

- BackgroundTrackMgr |  |  |

- ~BackgroundTrackMgr |  |  |

## Method Documentation

+ (static OSStatus) AttachNewCookie |  | (AudioQueueRef) | inQueue
|  | (BackgroundTrackMgr::BG_FileInfo *) | inFileInfo

+ (static Boolean) DisposeBuffer |  | (AudioQueueRef) | inAQ
|  | (std::vector< AudioQueueBufferRef >) | inDisposeBufferList
|  | (AudioQueueBufferRef) | inBufferToDispose

- (UInt32) GetNumPacketsToRead |  | (BackgroundTrackMgr::BG_FileInfo *) | inFileInfo |

- (AudioStreamPacketDescription*) GetPacketDescsPtr |  |  |

+ (static SInt8) GetQueueStateForNextBuffer |  | (BackgroundTrackMgr::BG_FileInfo *) | inFileInfo
|  | (BackgroundTrackMgr::BG_FileInfo *) | inNextFileInfo

- (OSStatus) LoadTrack |  | (const char *) | inFilePath
|  | (Boolean) | inAddToQueue
|  | (Boolean) | inLoadAtOnce

+ (static void) QueueCallback |  | (void *) | inUserData
|  | (AudioQueueRef) | inAQ
|  | (AudioQueueBufferRef) | inCompleteAQBuffer

+ (static void) QueueStoppedProc |  | (void *) | inUserData
|  | (AudioQueueRef) | inAQ
|  | (AudioQueuePropertyID) | inID

- (OSStatus) SetupBuffers |  | (BG_FileInfo *) | inFileInfo |

- (OSStatus) SetupQueue |  | (BG_FileInfo *) | inFileInfo |

- (OSStatus) SetVolume |  | (Float32) | inVolume |

- (OSStatus) Start |  |  |

- (OSStatus) Stop |  | (Boolean) | inStopAtEnd |

- (void) Teardown |  |  |

- (OSStatus) UpdateGain |  |  |

The documentation for this class was generated from the following file:

- platformiOS/SoundEngine.mm